##############################################################################
#
# Copyright (c) 2004 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""asynchronous link to Twisted over ZEO

$Id: __init__.py,v 1.1.1.1 2004/10/10 23:37:04 poster Exp $
"""
import manager
import permissions

zasync_globals = globals()

def initialize(context):
    """Zope product setup"""
    context.registerClass(
        manager.AsynchronousCallManager,
        icon="www/daliclock.gif",
        permission=permissions.ViewManagementScreens,
        constructors=(manager.constructAsynchronousCallManagerForm,
                      manager.constructAsynchronousCallManager)
        )